Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato
Class DialogEdit

    java.lang.Object
      javax.swing.undo.AbstractUndoableEdit
          javax.swing.undo.CompoundEdit
              org.statcato.DialogEdit

All Implemented Interfaces:
  java.io.Serializable, javax.swing.undo.UndoableEdit

    public class DialogEdit

extends javax.swing.undo.CompoundEdit

A compound edit for a dialog.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.undo.CompoundEdit
`edits`

Fields inherited from class javax.swing.undo.AbstractUndoableEdit
`RedoName, UndoName`

Constructor Summary
`DialogEdit(java.lang.String name)`

Method Summary
`java.lang.String` | `getPresentationName()`
`java.lang.String` | `getRedoPresentationName()`
`java.lang.String` | `getUndoPresentationName()`

Methods inherited from class javax.swing.undo.CompoundEdit
`addEdit, canRedo, canUndo, die, end, isInProgress, isSignificant, lastEdit, redo, toString, undo`

Methods inherited from class javax.swing.undo.AbstractUndoableEdit
`replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialogEdit

    public DialogEdit(java.lang.String name)

Method Detail

### getPresentationName

    public java.lang.String getPresentationName()

  Specified by:
    `getPresentationName` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `getPresentationName` in class `javax.swing.undo.CompoundEdit`

### getRedoPresentationName

    public java.lang.String getRedoPresentationName()

  Specified by:
    `getRedoPresentationName` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `getRedoPresentationName` in class `javax.swing.undo.CompoundEdit`

### getUndoPresentationName

    public java.lang.String getUndoPresentationName()

  Specified by:
    `getUndoPresentationName` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `getUndoPresentationName` in class `javax.swing.undo.CompoundEdit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD